VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form frmMain 
   Caption         =   "Excel Upgrade Utility"
   ClientHeight    =   2895
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3825
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   2895
   ScaleWidth      =   3825
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdClear 
      Caption         =   "Clear List"
      Height          =   375
      Left            =   135
      TabIndex        =   3
      Top             =   720
      Width           =   1110
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   0
      Top             =   2280
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.ListBox lstFiles 
      Height          =   1815
      Left            =   1365
      TabIndex        =   2
      Top             =   240
      Width           =   2250
   End
   Begin VB.CommandButton cmdSelFiles 
      Caption         =   "Select Files..."
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   240
      Width           =   1140
   End
   Begin VB.CommandButton cmdUpdate 
      Caption         =   "Upgrade Files to Latest Excel Version"
      Height          =   375
      Left            =   675
      TabIndex        =   0
      Top             =   2400
      Width           =   3030
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' --------------------------------------------------
' Module     : frmMain
' Description:
' Procedures : cmdSelFiles_Click()
'              CmdUpdate_Click()
'              Command2_Click()
'              mdClear_Click()

'
' Author: Mathew George        Created On: 2/8/2001
' Modified   :
' 11/08/2001 MGeorge
'
' --------------------------------------------------

Option Explicit

Private Sub cmdSelFiles_Click()
    ' Comments  :
    ' Parameters:  -
    ' Modified  :
    '
    ' --------------------------------------------------
    Dim astrSfile() As String
    Dim intI As Integer
    Dim intMax As Integer
    
    'Get FileNames from USer
    ' Set CancelError is True
    CommonDialog1.CancelError = True
    
    On Error GoTo ErrHandler
    
    ' Set filters
    CommonDialog1.Filter = "Excel Files (*.xls)|*.xls"
    ' Specify default filter
    CommonDialog1.FilterIndex = 2
    'Set style
    CommonDialog1.Flags = cdlOFNAllowMultiselect Or cdlOFNExplorer Or cdlOFNHideReadOnly Or cdlOFNFileMustExist
    ' Display the Open dialog box
    CommonDialog1.ShowOpen
    ' If one file selected use that, else split and create
    If InStr(1, CommonDialog1.FileName, Chr$(0)) > 0 Then
        astrSfile = Split(CommonDialog1.FileName, Chr$(0))
        
        intMax = UBound(astrSfile)
        
        'If not root directory add a \ to end of directory
        If Len(astrSfile(0)) > 3 Then
            astrSfile(0) = astrSfile(0) & "\"
        End If
        
        For intI = 1 To intMax
            lstFiles.AddItem astrSfile(0) & astrSfile(intI)
        Next
    Else
        lstFiles.AddItem CommonDialog1.FileName
    End If
    
    
ErrHandler:
    'User pressed the Cancel button
    
End Sub

Private Sub CmdUpdate_Click()
    ' Comments  :
    ' Parameters:  -
    ' Modified  :
    '
    ' --------------------------------------------------
    
    'ErrorEnablerStart
    On Error GoTo PROC_ERR
    
    Dim cUpgr As GTIXLUpgrade.XLUpgrade
    Dim astrSFiles() As String
    Dim intI As Integer
    Dim intMax As Integer
    
    intMax = lstFiles.ListCount
    If intMax <= 0 Then
        MsgBox "Please select 1 or more Excel files."
        Exit Sub
    End If
    
    Screen.MousePointer = vbHourglass
    Set cUpgr = New GTIXLUpgrade.XLUpgrade
    
    If intMax = 1 Then
        intI = cUpgr.UpgradeFile(lstFiles.List(0))
    Else
        For intI = 0 To intMax - 1
            ReDim Preserve astrSFiles(intI + 1)
            astrSFiles(intI) = lstFiles.List(intI)
        Next
        
        intI = cUpgr.UpgradeFiles(astrSFiles)
    End If
    
    Screen.MousePointer = vbArrow
    
    If intI = 1 Then
        MsgBox "Files upgraded to latest version of Excel"
    ElseIf intI = 0 Then
        MsgBox "No files selected."
    Else
        MsgBox "Error upgrading files!!"
    End If
    
    Set cUpgr = Nothing
    
    'ErrorHandlerStart
PROC_EXIT:
    Exit Sub
    
PROC_ERR:
    MsgBox Err.Description
    Resume PROC_EXIT
    'ErrorHandlerEnd
    
End Sub

'Private Sub Command2_Click()
'    ' Comments  :
'    ' Parameters:  -
'    ' Modified  :
'    '
'    ' --------------------------------------------------
'    'ErrorEnablerStart
'    On Error GoTo PROC_ERR
'
'    Dim vntFs
'    Dim vntF
'    Dim vntF1
'    Dim vntFc
'    Dim vntS
'    Set vntFs = CreateObject("Scripting.FileSystemObject")
'    Set vntF = vntFs.GetFolder("")
'    Set vntFc = vntF.Files
'    For Each vntF1 In vntFc
'        If InStr(1, vntF1.Name, ".xls", vbTextCompare) > 0 Then
'            vntS = vntS & vntF1.Name
'            vntS = vntS & vbCrLf
'        End If
'    Next
'    MsgBox vntS
'
'
'    'ErrorHandlerStart
'PROC_EXIT:
'    Exit Sub
'
'PROC_ERR:
'    MsgBox Err.Description
'    Resume PROC_EXIT
'    'ErrorHandlerEnd
'
'End Sub

Private Sub cmdClear_Click()
    ' Comments  :
    ' Parameters:  -
    ' Modified  :
    '
    ' --------------------------------------------------
    
    'ErrorEnablerStart
    On Error GoTo PROC_ERR
    
    lstFiles.Clear
    
    
    'ErrorHandlerStart
PROC_EXIT:
    Exit Sub
    
PROC_ERR:
    MsgBox Err.Description
    Resume PROC_EXIT
    'ErrorHandlerEnd
    
End Sub

